
%global meadversion 4.0.0
%global namedversion 4.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-xml-bind-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.0.redhat-00001

Name:           %{?scl_prefix}jakarta-xml-bind-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta XML Binding API
Group:          Development/Java

%if %with mead
Source100: jakarta.xml.bind-api-parent-4.0.0.redhat-00001-project-sources.tar.gz
Source102: jakarta.xml.bind-api-4.0.0.redhat-00001-sources.jar
Source103: jakarta.xml.bind-api-4.0.0.redhat-00001.jar
Source104: jakarta.xml.bind-api-4.0.0.redhat-00001.pom
Source105: jakarta.xml.bind-api-parent-4.0.0.redhat-00001.pom
%endif

License:        BSD
URL:            https://github.com/eclipse-ee4j/jaxb-api.git
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-xml-bind-api-%{namedversion}-%{release}-root

%description
Jakarta XML Binding API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-xml-bind-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.xml.bind-api-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.xml.bind-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.xml.bind-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.xml.bind-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.xml.bind-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.xml.bind-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.xml.bind-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-xml-bind-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.xml.bind-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta-xml-bind-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-xml-bind-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-xml-bind-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-xml-bind-api
%defattr(0644,root,root,0755)
%doc build.metadata
%{_javadir}/jakarta.xml.bind-api-%{namedversion}.jar
%{_javadir}/jakarta.xml.bind-api.jar
%if %with javadoc
%{_javadir}/jakarta.xml.bind-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.xml.bind-api-javadoc.jar
%endif
%{_javadir}/jakarta.xml.bind-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.xml.bind-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-xml-bind-api-%{namedversion}
%{_javadocdir}/jakarta-xml-bind-api
%endif

%changelog
* Wed Oct 26 2022 Yong Yang <yyang@redhat.com> - 4.0.0-1.redhat_00001.1
- 4.0.0.redhat-00001
